package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 人身防护对象 t_pssr_measure
 *
 * @author ssy
 * @date 2024-11-04
 */
public class TPssrMeasure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;
    private String confirm1Name;
    private String confirm2Name;
    private List<Long> fileIds;
    private List<TPssrFile> fileList;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<TPssrFile> getFileList() {
        return fileList;
    }

    public void setFileList(List<TPssrFile> fileList) {
        this.fileList = fileList;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getConfirm1Name() {
        return confirm1Name;
    }

    public void setConfirm1Name(String confirm1Name) {
        this.confirm1Name = confirm1Name;
    }

    public String getConfirm2Name() {
        return confirm2Name;
    }

    public void setConfirm2Name(String confirm2Name) {
        this.confirm2Name = confirm2Name;
    }

    /** 位号 */
    @Excel(name = "位号")
    private String devNo;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devName;

    /** 防护措施 */
    @Excel(name = "防护措施")
    private String proMeasure;

    /** 防护装置无缺失 */
    @Excel(name = "防护装置无缺失")
    private String noDamage;

    /** 防护装置被固定，无松动 */
    @Excel(name = "防护装置被固定，无松动")
    private String locked;

    /** 防护装置无腐蚀破损 */
    @Excel(name = "防护装置无腐蚀破损")
    private String noWorn;

    /** 确认人1 */
    @Excel(name = "确认人1")
    private String confirm1;

    /** 确认人2 */
    @Excel(name = "确认人2")
    private String confirm2;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date confirmationDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 唯一标识ID */
    private Long id;

    /** 从表id */
    private Long subId;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    private Long[] ids;

    private Long taskType;

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getTaskType() {
        return taskType;
    }

    public void setTaskType(Long taskType) {
        this.taskType = taskType;
    }

    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setDevName(String devName)
    {
        this.devName = devName;
    }

    public String getDevName()
    {
        return devName;
    }
    public void setProMeasure(String proMeasure)
    {
        this.proMeasure = proMeasure;
    }

    public String getProMeasure()
    {
        return proMeasure;
    }
    public void setNoDamage(String noDamage)
    {
        this.noDamage = noDamage;
    }

    public String getNoDamage()
    {
        return noDamage;
    }
    public void setLocked(String locked)
    {
        this.locked = locked;
    }

    public String getLocked()
    {
        return locked;
    }
    public void setNoWorn(String noWorn)
    {
        this.noWorn = noWorn;
    }

    public String getNoWorn()
    {
        return noWorn;
    }
    public void setConfirm1(String confirm1)
    {
        this.confirm1 = confirm1;
    }

    public String getConfirm1()
    {
        return confirm1;
    }
    public void setConfirm2(String confirm2)
    {
        this.confirm2 = confirm2;
    }

    public String getConfirm2()
    {
        return confirm2;
    }
    public void setConfirmationDate(Date confirmationDate)
    {
        this.confirmationDate = confirmationDate;
    }

    public Date getConfirmationDate()
    {
        return confirmationDate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("approveStatus", getApproveStatus())
            .append("devNo", getDevNo())
            .append("devName", getDevName())
            .append("proMeasure", getProMeasure())
            .append("noDamage", getNoDamage())
            .append("locked", getLocked())
            .append("noWorn", getNoWorn())
            .append("confirm1", getConfirm1())
            .append("confirm2", getConfirm2())
            .append("confirmationDate", getConfirmationDate())
            .append("remarks", getRemarks())
            .append("approveId", getApproveId())
            .append("id", getId())
            .append("subId", getSubId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
